#include "key.h"

u8 key_up=1;//按键按松开标志

u8 KEY_Scan(u8 mode)
{	 
	
	if(mode)key_up=1;  			//支持连按		  
	if(key_up&&(K0_ID==0||K1_ID==0||K2_ID==0||K3_ID==0))
	{
		HAL_Delay(10);					//去抖动 
		key_up=0;
		if(K0_ID==0)return 1;
		else if(K1_ID==0)return 2;
		else if(K2_ID==0)return 3;
		else if(K3_ID==0)return 4;
	}
	else if(K0_ID==1&&K1_ID==1&&K2_ID==1&&K3_ID==1)key_up=1;
	
 	return 0;								// 无按键按下
	
}
void beep_one(int time)
{
			HAL_GPIO_WritePin(BEEP_GPIO_Port, BEEP_Pin, GPIO_PIN_RESET);//蜂鸣器
	    HAL_Delay(time);
      HAL_GPIO_WritePin(BEEP_GPIO_Port, BEEP_Pin, GPIO_PIN_SET);
}